Bug 198625 - [ooimpress][zh_TW] english characters are missing during C'n' P
[ooimpress][zh_TW] english characters are missing during C'n' P
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-12 09:12 EDT by A S Alam
Modified: 2013-07-02 20:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: openoffice.org-core-2.0.4-2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-31 10:04:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test File with zh_CN and en_US text (161 bytes, text/plain)
2006-07-12 09:12 EDT, A S Alam
no flags Details
Image file (10.46 KB, image/png)
2006-07-12 09:14 EDT, A S Alam
no flags Details

  None (edit)
Description A S Alam 2006-07-12 09:12:32 EDT
Description of problem:
during copy and paste data in Impress, English character are not shown, only
local langauge characters are shown

Version-Release number of selected component (if applicable):
openoffice.org-core-2.0.3-7.4

How reproducible:
Everytime

Steps to Reproduce:
1. open ooimpress
2. paste data with zh_TW+ en_US (from attachment
3 [details]. 
  
Actual results:
only zh_TW characters are available

Expected results:
English character should be there

Additional info:
Comment 1 A S Alam 2006-07-12 09:12:32 EDT
Created attachment 132300 [details]
Test File with zh_CN and en_US text
Comment 2 A S Alam 2006-07-12 09:14:17 EDT
Created attachment 132301 [details]
Image file
Comment 3 Caolan McNamara 2006-07-13 06:29:03 EDT
I've tried this in the locales of en-US, zh-TW, and zh-CN with fonts-chinese
installed and without, and it's working for me :-(

so, does it work fine when pasted into gedit ?

OOo only takes ttf/afm fonts into consideration for its font and glyph fallback,
which makes it somewhat different to gedit and friends which take bitmap fonts
into consideration also. So if it works in gedit, then maybe (unlikely) there is
no outline font installed which has english glyphs, or something wrong in OOo or
the font which has been selected as the fallback font for the english glyphs. 

Do you have any special chinese fonts installed which are not part of
fonts-chinese ?, maybe something is claiming to have english glyphs but doesn't
really.

Does selecting the text and changing the font to "AR PL ShanHeiSun Uni" or
something else change anything
Comment 4 A S Alam 2006-07-14 02:06:22 EDT
it was working on pre-installed Test machine, but problem found for Fresh
installation
of Fedora Core (rawhide) in zh_TW language. 
Comment 5 Caolan McNamara 2006-08-17 05:32:08 EDT
Never could reproduce this, looks lovely for me in 2.0.3-7.9. I'd need to get
some more information if this still exists, fonts-chinese is surely installed on
such an installation, and does it work fine in gedit, any difference in oowriter
vs ooimpress, and would launching ooimpress from an en_US locale make a difference ?

Is dejavu-lgc-fonts installed, and if not does adding that package make a
difference ?
Comment 6 Caius Chance 2006-08-28 04:07:17 EDT
Ran the test by:
    `LANG=zh_TW.UTF8 ooimpress`
without any problem.

Works fine with the following packages:

openoffice.org-impress-2.0.4-2.1
openoffice.org-xsltfilter-2.0.4-2.1
openoffice.org-calc-2.0.4-2.1
openoffice.org-math-2.0.4-2.1
openoffice.org-core-2.0.4-2.1
openoffice.org-langpack-zh_CN-2.0.4-2.1
openoffice.org-graphicfilter-2.0.4-2.1
openoffice.org-langpack-zh_TW-2.0.4-2.1
openoffice.org-writer-2.0.4-2.1
openoffice.org-draw-2.0.4-2.1
fonts-chinese-3.02-5.fc6

Please check if the locale is zh_TW.UTF-8 instead of other encoding such as
zh_TW.big5 etc.
Comment 7 Satyabrata Maitra 2006-08-31 10:04:01 EDT
The English chars mixed with zh_TW chars are appearing and showing in the text
box created in the ooimpress. 

Component version tested : openoffice.org-core-2.0.4-2.2
Arch : i386 (rawhide)

Additional Info : this has been tested login with other locale and running
ooimpress in zh_TW locale. And it works fine. If any other envionment, any wrong
output found in future, pls reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.